package net.roseindia.action.test;

import java.util.ArrayList;
import java.util.Map;

import net.roseindia.DAO.QuestionPaperDAO;
import net.roseindia.model.LanguageModel;

import org.apache.struts2.interceptor.RequestAware;
import org.apache.struts2.interceptor.SessionAware;

import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.ModelDriven;

public class TestQuestionPaperAction extends ActionSupport implements
		RequestAware, SessionAware, ModelDriven {
	Map request, session;
	LanguageModel obLanguageModel;
	ArrayList QuesPaper = new ArrayList();
	public String username;

	@Override
	public String execute() throws Exception {
		QuestionPaperDAO obQuestionPaperDAO = new QuestionPaperDAO();
		username = (String) session.get("username");
		session.put("language", obLanguageModel.getLanguage());
		int paperAlready = obQuestionPaperDAO.checkPaperPlreadyGiven(
				obLanguageModel.getLanguage(), username);
		if (obLanguageModel.getLanguage().equals("")) {
			addActionError("Please select Language");
			return ERROR;
		} else 
			if (paperAlready == 1) {
			addActionError("You have already completed paper of this "
					+ "lanuage.Plesae choose another language !");
			return ERROR;
		} else {
			// System.out.println("Language "+ obLanguageModel.getLanguage());
			QuesPaper = obQuestionPaperDAO.getQues(obLanguageModel
					.getLanguage());
			request.put("questPaper", QuesPaper);
			return SUCCESS;
		}
	}

	public Map getRequest() {
		return request;
	}

	public void setRequest(Map request) {
		this.request = request;
	}

	public Map getSession() {
		return session;
	}

	public void setSession(Map session) {
		this.session = session;
	}

	public Object getModel() {
		obLanguageModel = new LanguageModel();
		return obLanguageModel;
	}
}
