package net.roseindiaAdmin.Action;

import java.util.ArrayList;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts2.ServletActionContext;
import org.apache.struts2.interceptor.SessionAware;

import net.roseindiaAdmin.dao.SearchQuestionDAO;
import net.roseindiaAdmin.model.QuestionModel;
import net.roseindiaAdmin.model.QuestionSearchModel;
import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.ModelDriven;

public class SearchQuestionAction extends ActionSupport implements ModelDriven, SessionAware {
	QuestionModel obquesnoModel;
	SearchQuestionDAO obQuestionDAO;	
	ArrayList searchquestion;
	Map session;
	String quesno1, question;
	ActionContext context = ActionContext.getContext();
	HttpServletRequest request = (HttpServletRequest) context
			.get(ServletActionContext.HTTP_REQUEST);

	@Override
	public String execute() throws Exception {
		obQuestionDAO = new SearchQuestionDAO();
		
		question = obquesnoModel.getQuestion();
		searchquestion = obQuestionDAO.searchByQuestion(question);
		if (searchquestion.isEmpty()) {
			addActionError("Question not avilable in database.Please enter another id!");
			return ERROR;
		} else {
			
			for (int i=0;i<searchquestion.size();i++)
			{
			QuestionSearchModel	obQuestionSearchModel = new QuestionSearchModel();
			obQuestionSearchModel=(QuestionSearchModel) searchquestion.get(i); 
			System.out.println(obQuestionSearchModel.getLanguage());	
			System.out.println(obQuestionSearchModel.getQuestion()); 
			System.out.println(obQuestionSearchModel.getAns1()) ;
			System.out.println(obQuestionSearchModel.getAns2()) ;
			System.out.println(obQuestionSearchModel.getAns3());
			System.out.println(obQuestionSearchModel.getAns4()) ;
			System.out.println(obQuestionSearchModel.getRightAns()) ;
			}
			session.put("searchbyquestion", searchquestion);
			return SUCCESS;
		}
	}

	@Override
	public Object getModel() {
		// TODO Auto-generated method stub
		obquesnoModel = new QuestionModel();
		return obquesnoModel;
	}

	public Map getSession() {
		return session;
	}

	public void setSession(Map session) {
		this.session = session;
	}

}
